<template>
	<vue-scroll class="page-element-carousel">
		<div class="card-base card-shadow--medium demo-box bg-white">
			<el-collapse value="1">
				<el-collapse-item title="Basic usage" name="1">
						<div class="block box grow" style=" max-width: 400px; display: inline-block;">
							<span class="demonstration">Switch when indicator is clicked</span>
							<el-carousel trigger="click" height="150px">
							<el-carousel-item v-for="item in 4" :key="item">
								<h3>{{ item }}</h3>
							</el-carousel-item>
							</el-carousel>
						</div>
				</el-collapse-item>
				<el-collapse-item title="Code" name="2">
					<pre v-highlightjs="code1"><code class="html"></code></pre>
				</el-collapse-item>
			</el-collapse>
		</div>
		<div class="card-base card-shadow--medium demo-box bg-white">
			<el-collapse value="1">
				<el-collapse-item title="Indicators" name="1">
						<div class="block box grow">
							<el-carousel indicator-position="outside">
								<el-carousel-item v-for="item in 4" :key="item">
								<h3>{{ item }}</h3>
								</el-carousel-item>
							</el-carousel>
						</div>
				</el-collapse-item>
				<el-collapse-item title="Code" name="2">
					<pre v-highlightjs="code2"><code class="html"></code></pre>
				</el-collapse-item>
			</el-collapse>
		</div>
		<div class="card-base card-shadow--medium demo-box bg-white">
			<el-collapse value="1">
				<el-collapse-item title="Card mode" name="1">
						<div class="block box grow">
							<el-carousel :interval="4000" type="card" height="200px">
								<el-carousel-item v-for="item in 6" :key="item">
								<h3>{{ item }}</h3>
								</el-carousel-item>
							</el-carousel>
						</div>
				</el-collapse-item>
				<el-collapse-item title="Code" name="2">
					<pre v-highlightjs="code3"><code class="html"></code></pre>
				</el-collapse-item>
			</el-collapse>
		</div>
	</vue-scroll>
</template>

<script>
import ThemePicker from '@/components/theme-picker'

export default {
	name: 'ElementCarousel',
	data() {
		return {
			value1: true,
            value2: true,
        }
    },
	components: {
		ThemePicker
	}
}
</script>

<style lang="scss" scoped>
.demo-box {
	padding: 20px;
	margin-bottom: 20px;
}
pre {
	margin: 0;
	background: white;
}
code {
	padding: 0;
}

@media (max-width: 768px) {code{font-size: 70%;}}

.block {
	//min-width: 305px;
	width: 100%;
	max-width: 500px;
	padding: 5px;
}
.el-carousel__item h3 {
    color: #475669;
    font-size: 14px;
    opacity: 0.75;
    line-height: 150px;
	text-align: center;
    margin: 0;
  }

  .el-carousel__item:nth-child(2n) {
    background-color: #99a9bf;
  }

  .el-carousel__item:nth-child(2n+1) {
    background-color: #d3dce6;
  }
</style>

